#!/bin/sh
##########################################################################
#
# Copyright (C) 2010 EnterpriseDB Corporation.
#
# gs-server.sh
#
#
# Starts the main GridSQL server process
#
##########################################################################


EXECCLASS=com.edb.gridsql.util.XdbServer

source /usr/bin/gridsql_env.sh

GSCONFIG=/etc/gridsql/gridsql.config

# Adjust these if more memory is required
MINMEMORY=512M
MAXMEMORY=512M
STACKSIZE=256K
XDEBUG="-agentlib:jdwp=transport=dt_socket,address=localhost:18000,server=y,suspend=n"

echo "Starting...."

nohup java -classpath /usr/share/java/postgresql-jdbc.jar /usr/share/java/xdbengine.jar:/usr/share/java/xdbprotocol.jar:/usr/share/java/xdbserver.jar:/usr/share/java/xdbutil.jar:/usr/share/java/edb-jdbc14.jar:/usr/share/java/log4j.jar:${CLASSPATH} -Xms${MINMEMORY} -Xmx${MAXMEMORY} -Xss${STACKSIZE} -Dconfig.file.path=${GSCONFIG} $EXECCLASS $* > /var/log/gridsql/server.log 2>&1 &

PROCID=$!

sleep 8

ps $PROCID >/dev/null 2>/dev/null
CHECK=$?

if [ "$CHECK" -ne "0" ]
then
	echo "Error starting XDBServer"
	echo " server.log output:"
	at /var/log/gridsql/server.log
	echo ""
	echo " tail of console.log output:"
	tail -10 /var/log/gridsql/console.log
fi

